<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderExpressMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderExpressResultMap" type="org.springblade.modules.finance.entity.OrderExpress">
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="order_goods_id" property="orderGoodsId"/>
        <result column="delivery_time" property="deliveryTime"/>
        <result column="is_express" property="isExpress"/>
        <result column="express_id" property="expressId"/>
        <result column="express_no" property="expressNo"/>
        <result column="create_time" property="createTime"/>
        <result column="deliver_type" property="deliverType"/>
    </resultMap>


    <select id="selectOrderExpressPage" resultMap="orderExpressResultMap">
        select * from t_order_express where is_deleted = 0
    </select>

</mapper>
